UiPath Documentation
test-cloud
latest
false

Test Cloud-API-Handbuch

Letzte Aktualisierung 5. Mai 2026

Bulk Resolve Directory Entities

Resolves multiple directory entities by their unique identifiers and types in a single request, based on the organization ID.

API-Endpunkt

POST {accessURL}/{organizationName}/identity_/api/Directory/BulkResolve/{partitionGlobalId}

Ersetzen Sie {accessURL} in allen Endpunktpfaden durch die Basis-URL für Ihre Cloud-Plattform:

Cloud PlatformZugriffs-URL
Test Cloudhttps://cloud.uipath.com/
Test Cloud Public Sectorhttps://govcloud.uipath.us/
Test Cloud Dedicated.https://{customURL}.dedicated.uipath.com/

Scopes

Folgende Scopes sind erforderlich:

  • PM.Directory

Anforderungsheader

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Hinweis:

Um das {access_token} zu erhalten, müssen Sie sich mit einer der hier beschriebenen Methoden authentifizieren.

Pfadparameter

PfadparameterDatentypBeschreibung
partitionGlobalId (erforderlich)String (GUID)The ID of the organization to resolve the entities within.

Anforderungstext

The request body specifies the entities to resolve. Each entity ID corresponds to the entity type at the same index.

{
    "entityIds": [
        "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ],
    "entityTypes": [
        "User",
        "Group"
    ]
}
{
    "entityIds": [
        "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ],
    "entityTypes": [
        "User",
        "Group"
    ]
}
EigenschaftenDatentypBeschreibung
entityIds (erforderlich)Array of stringsThe unique identifiers of the directory entities to resolve.
entityTypes (erforderlich)Array of stringsThe types corresponding to each entity ID. Valid values: User, Group, Application. Must be the same length as entityIds.

Antworten

200 OK

Returns a dictionary mapping each entity identifier to its resolved directory entity. Entities that could not be resolved are returned as null.

{
    "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901": {
        "objectType": "DirectoryGroup",
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "name": "Engineering Team",
        "displayName": "Engineering Team"
    }
}
{
    "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901": {
        "objectType": "DirectoryGroup",
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "name": "Engineering Team",
        "displayName": "Engineering Team"
    }
}

400 Ungültige Anforderung

Returned when entityIds and entityTypes have different lengths, or when required parameters are missing.

Beispielanforderung

Angenommen, Sie haben alle Informationen gesammelt, die zum Erstellen des API-Aufrufs erforderlich sind.

Der Aufruf sollte dem folgenden Beispiel ähneln (cURL):

curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/BulkResolve/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityIds": [
        "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ],
    "entityTypes": [
        "User",
        "Group"
    ]
}'
curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/BulkResolve/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityIds": [
        "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ],
    "entityTypes": [
        "User",
        "Group"
    ]
}'

Hier ist der Antworttext für einen erfolgreichen Aufruf:

{
    "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901": {
        "objectType": "DirectoryGroup",
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "name": "Engineering Team",
        "displayName": "Engineering Team"
    }
}
{
    "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901": {
        "objectType": "DirectoryGroup",
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "name": "Engineering Team",
        "displayName": "Engineering Team"
    }
}
  • API-Endpunkt
  • Scopes
  • Anforderungsheader
  • Pfadparameter
  • Anforderungstext
  • Antworten
  • 200 OK
  • 400 Ungültige Anforderung
  • Beispielanforderung

War diese Seite hilfreich?

Verbinden

Benötigen Sie Hilfe? Support

Möchten Sie lernen? UiPath Academy

Haben Sie Fragen? UiPath-Forum

Auf dem neuesten Stand bleiben